/// <reference types="node" />
export interface ICallOptions {
    operation: 'run' | 'sleep' | 'reset';
    envs: {
        [key: string]: string;
    };
}
interface ICheckDeeplinksStatusReturn {
    result?: 1 | 0 | undefined;
    error?: any;
}
interface IGetComposeReturn {
    result?: string;
    error?: any;
}
export declare function call(options: ICallOptions): Promise<{
    envs: {
        DOCKERHOST: string;
    };
    error: any;
    operation: "run" | "sleep" | "reset";
} | {
    result?: {
        stdout: string;
        stderr: string;
    };
    error?: any;
    platform: NodeJS.Platform;
    isDeeplinksDocker: ICheckDeeplinksStatusReturn;
    composeVersion: IGetComposeReturn;
    envs: {
        DOCKERHOST: string;
    };
    engineStr: string;
    fullStr: string;
    operation: "run" | "sleep" | "reset";
}>;
export {};
